Using Docker, I’ve upgraded Lemmy from 0.13.0 to 0.14.1. How do I upgrade to the latest Lemmy UI?

@seahorse@lemmy.ml
link
42M

Upgrade lemmy-ui to 0.14.1

@suspended@lemmy.ml
creator
link
32M

How do I do that?

@seahorse@lemmy.ml
link
42M

In the docker-compose.yml file, change whatever version number comes after lemmy-ui to 0.14.1. It should look like the following:

version: '2.2'

services:
  postgres:
    image: postgres:12-alpine
    environment:
      - POSTGRES_USER=lemmy
      - POSTGRES_PASSWORD=password
      - POSTGRES_DB=lemmy
    volumes:
      - ./volumes/postgres:/var/lib/postgresql/data
    restart: always

  lemmy:
    image: dessalines/lemmy:0.14.1
    ports:
      - "127.0.0.1:8536:8536"
    restart: always
    environment:
      - RUST_LOG="warn,lemmy_server=info,lemmy_api=info,lemmy_api_common=info,lemmy_api_crud=info,lemmy_apub=info,lemmy_db_schema=info,lemmy_db_views=info,lemmy_db_views_actor=info,lemmy_db_views_moderator=info,lemmy_routes=info,lemmy_utils=info,lemmy_websocket=info"
    volumes:
      - ./lemmy.hjson:/config/config.hjson
    depends_on:
      - postgres
      - pictrs

  lemmy-ui:
    image: dessalines/lemmy-ui:0.14.1
    ports:
      - "127.0.0.1:1235:1234"
    restart: always
    environment:
      - LEMMY_INTERNAL_HOST=lemmy:8536
      - LEMMY_EXTERNAL_HOST=localhost:8536
      - LEMMY_HTTPS=true
    depends_on: 
      - lemmy

  pictrs:
    image: asonix/pictrs:v0.2.6-r2
    ports: 
      - "127.0.0.1:8537:8080"
    user: 991:991
    volumes:
      - ./volumes/pictrs:/mnt
    restart: always

@suspended@lemmy.ml
creator
link
42M

I can’t believe that I missed that! Thank you.

@seahorse@lemmy.ml
link
42M

No problem

Everything about Lemmy; bugs, gripes, praises, and advocacy.

For discussion about the lemmy.ml instance, go to !meta@lemmy.ml.

  • 0 users online
  • 9 users / day
  • 21 users / week
  • 37 users / month
  • 228 users / 6 months
  • 3 subscribers
  • 135 Posts
  • 974 Comments
  • Modlog